Page MenuHomePhabricator

hg-core: define a `ListTrackedFiles` `Operation`
ClosedPublic

Authored by acezar on Aug 3 2020, 10:25 AM.

Details

Summary

List files under Mercurial control in the working directory.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

acezar created this revision.Aug 3 2020, 10:25 AM
Alphare accepted this revision.Aug 3 2020, 11:01 AM
acezar updated this revision to Diff 22247.Aug 4 2020, 4:57 AM
indygreg accepted this revision.Aug 8 2020, 3:50 PM
indygreg added a subscriber: indygreg.
indygreg added inline comments.
rust/hg-core/src/operations/list_tracked_files.rs
2

This file needs a header. I can add that in flight.

This revision is now accepted and ready to land.Aug 8 2020, 3:50 PM
This revision was automatically updated to reflect the committed changes.